/**
 * @validate im_cookbook_109004/validators/validator#init
 * @onerror handleErrors
 */
function init(request) {
    // DB登録用に情報を変換・設定
    var itemData = {
          item_cd    : Identifier.get(),
          item_name  : request.itemName,
          item_price : parseInt(request.itemPrice, 10),
          comment    : request.comment
    };

    var result = null;
    // トランザクション処理
    Transaction.begin(function() {
        // DBに登録
        result = new TenantDatabase().insert('cb109004', itemData);
        if(result.error) {
            // エラー時はロールバック
            Transaction.rollback();
        }
    });
    // レスポンスヘッダのコンテンツタイプを設定
    var response = Web.getHTTPResponse();
    response.setContentType('application/json; charset=utf-8');
    // 処理の結果を返却
    response.sendMessageBodyString(
        ImJson.toJSONString({
            error: result.error,
            errorMessage: '登録に失敗しました',
            successMessage: '登録しました'
        })
    );
}

function handleErrors(request, validationErrors) {
    var response = Web.getHTTPResponse();
    response.setContentType('application/json; charset=utf-8');
    // 処理が失敗した場合
    response.sendMessageBodyString(
        ImJson.toJSONString({
            error: true,
            errorMessage: validationErrors.getMessages()
        })
    );
}
